From 050b34e4f74ffb00b583cc999ad5cb6715bd12c7 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Fri, 5 Jul 2019 18:10:37 -0500
Subject: [PATCH] nasa-wallpaper: update to 2.0.

---
 srcpkgs/nasa-wallpaper/template | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

diff --git a/srcpkgs/nasa-wallpaper/template b/srcpkgs/nasa-wallpaper/template
index 8214eead039..8bad43b2fec 100644
--- a/srcpkgs/nasa-wallpaper/template
+++ b/srcpkgs/nasa-wallpaper/template
@@ -1,17 +1,13 @@
 # Template file for 'nasa-wallpaper'
 pkgname=nasa-wallpaper
-version=1.2
+version=2.0
 revision=1
-archs=noarch
-depends="curl jq wget"
+build_style="cargo"
+hostmakedepends="pkg-config"
+makedepends="libressl-devel"
 short_desc="Change your desktop background with a NASA image"
 maintainer="Orphaned <orphan@voidlinux.org>"
-homepage="https://davidpob99.github.io/nasa-wallpaper/"
 license="Apache-2.0"
-distfiles="https://github.com/davidpob99/nasa-wallpaper/archive/${version}.tar.gz"
-checksum=379f67e0708f43302a647d73da3737af879576991d7b2a4796a1e2b6b88320ac
-
-do_install() {
-	vbin nasa-wallpaper
-	vman nasa-wallpaper.1
-}
+homepage="https://davidpob99.github.io/nasa-wallpaper/"
+distfiles="https://github.com/davidpob99/nasa-wallpaper/archive/v${version}.tar.gz"
+checksum=5bdf85cabc954069f7188f32c5579a6d47aae1781bc438bead7d7a0af335f5f8
